Organization API: Customer Portal: Api keys
The 3 Organization API operations for api keys.
Part of Customer Portal.
GET /api/v1/orgs/{org_slug}/portal/smtp-relay/{service_id}/api-keys
| Name |
In |
Type |
Required |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/smtp-relay/{service_id}/api-keys
| Name |
In |
Type |
Required |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
application/json (required)
| Field |
Type |
Required |
label |
string |
no |
| Status |
Meaning |
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
DELETE /api/v1/orgs/{org_slug}/portal/smtp-relay/{service_id}/api-keys/{key_id}
| Name |
In |
Type |
Required |
key_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |